package Gnome2::Canvas::Install::Files;

$self = {
          'deps' => [
                      'Cairo',
                      'Glib',
                      'Gtk2',
                      'Pango'
                    ],
          'inc' => '-I/usr/X11R7/include -I/usr/pkg/include/cairo -I/usr/pkg/include/libgnomecanvas-2.0 -I/usr/pkg/include/libart-2.0 -I/usr/pkg/include/gtk-2.0 -I/usr/pkg/lib/gtk-2.0/include -I/usr/pkg/include/pango-1.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/include/gdk-pixbuf-2.0 -I/usr/pkg/include/atk-1.0 -I/usr/pkg/include/harfbuzz -I/usr/pkg/include -I/usr/X11R7/include/freetype2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/gail-1.0 -I/usr/X11R7/include/pixman-1 -I/usr/pkg/include/libpng16 -pthread -I/usr/pkg/include/fribidi -D_REENTRANT',
          'libs' => '-L/usr/pkg/lib -lgtk-x11-2.0 -L/usr/X11R7/lib -lfreetype -lz -lbz2 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lpangocairo-1.0 -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgnomecanvas-2 -lharfbuzz -lart_lgpl_2 -lgdk_pixbuf-2.0 -lgio-2.0 -lXfixes -lXext -lfontconfig -lglib-2.0 -lintl -lpango-1.0 -lcairo -Wl,-rpath,/usr/X11R7/lib -lX11 -Wl,-R/usr/pkg/lib -lgobject-2.0',
          'typemaps' => [
                          'canvas.typemap',
                          'gnomecanvasperl.typemap'
                        ]
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Gnome2/Canvas/Install/Files.pm") {
			$CORE = $_ . "/Gnome2/Canvas/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
